(function () {
    'use strict';

    angular
        .module('app')
        .factory('ConsultaConfiguracaoEmpresa', ConsultaConfiguracaoEmpresa);

    ConsultaConfiguracaoEmpresa.$inject = ['Server', 'GlobalVariable'];

    function ConsultaConfiguracaoEmpresa(Server, GlobalVariable) {
        function CarregarConfiguracaoEmpresaPorCodigoPainel(codigoPainel, successCallback, errorCallback) {
            var action = 'PainelFinal/CarregarConfiguracaoEmpresaPorCodigoPainel?codigoPainel=' + codigoPainel;
            Server.get(action, null, successCallback, errorCallback);
        }
        return {
            CarregarConfiguracaoEmpresaPorCodigoPainel: CarregarConfiguracaoEmpresaPorCodigoPainel
        }
    };
})();